Bug 1630991 - [abrt] xfce4-settings: convert_xfce_output_info(): xfce4-display-settings killed by SIGSEGV
Summary: [abrt] xfce4-settings: convert_xfce_output_info(): xfce4-display-settings kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-settings
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a919c5eb7a97be22b223aacedc3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-19 16:23 UTC by Don Lindsay
Modified: 2019-06-18 03:45 UTC (History)
2 users (show)

Fixed In Version: xfce4-settings-4.13.6-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:02:24 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (32.64 KB, text/plain)
2018-09-19 16:23 UTC, Don Lindsay
no flags Details
File: cgroup (341 bytes, text/plain)
2018-09-19 16:23 UTC, Don Lindsay
no flags Details
File: core_backtrace (9.11 KB, text/plain)
2018-09-19 16:23 UTC, Don Lindsay
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-09-19 16:23 UTC, Don Lindsay
no flags Details
File: dso_list (7.61 KB, text/plain)
2018-09-19 16:23 UTC, Don Lindsay
no flags Details
File: environ (2.13 KB, text/plain)
2018-09-19 16:23 UTC, Don Lindsay
no flags Details
File: exploitable (82 bytes, text/plain)
2018-09-19 16:23 UTC, Don Lindsay
no flags Details
File: limits (1.29 KB, text/plain)
2018-09-19 16:23 UTC, Don Lindsay
no flags Details
File: maps (39.03 KB, text/plain)
2018-09-19 16:23 UTC, Don Lindsay
no flags Details
File: mountinfo (3.58 KB, text/plain)
2018-09-19 16:24 UTC, Don Lindsay
no flags Details
File: open_fds (591 bytes, text/plain)
2018-09-19 16:24 UTC, Don Lindsay
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-09-19 16:24 UTC, Don Lindsay
no flags Details

Description Don Lindsay 2018-09-19 16:23:45 UTC
Description of problem:
Set the pixel size of my new 4k display

Version-Release number of selected component:
xfce4-settings-4.12.4-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        xfce4-display-settings
crash_function: convert_xfce_output_info
executable:     /usr/bin/xfce4-display-settings
journald_cursor: s=fa28cbf68d494f0985d8332257faf4f4;i=1c2ad;b=a980c050b96c4a3180c9c0c764582cfe;m=db69ae85f;t=5763bb6edc0b2;x=e61770c7b49af11d
kernel:         4.18.7-200.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 convert_xfce_output_info at main.c:1665
 #1 get_output_for_window at main.c:2754
 #2 select_current_output_from_dialog_position at main.c:2791
 #3 dialog_map_event_cb at main.c:2805
 #4 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:84
 #9 gtk_widget_event_internal at gtkwidget.c:5017
 #10 gtk_widget_event at gtkwidget.c:4814
 #11 gtk_main_do_event at gtkmain.c:1652
 #17 gtk_main at gtkmain.c:1270
 #18 display_settings_show_main_dialog at main.c:2899

Potential duplicate: bug 1347012

Comment 1 Don Lindsay 2018-09-19 16:23:50 UTC
Created attachment 1484839 [details]
File: backtrace

Comment 2 Don Lindsay 2018-09-19 16:23:51 UTC
Created attachment 1484840 [details]
File: cgroup

Comment 3 Don Lindsay 2018-09-19 16:23:52 UTC
Created attachment 1484841 [details]
File: core_backtrace

Comment 4 Don Lindsay 2018-09-19 16:23:53 UTC
Created attachment 1484842 [details]
File: cpuinfo

Comment 5 Don Lindsay 2018-09-19 16:23:54 UTC
Created attachment 1484843 [details]
File: dso_list

Comment 6 Don Lindsay 2018-09-19 16:23:55 UTC
Created attachment 1484844 [details]
File: environ

Comment 7 Don Lindsay 2018-09-19 16:23:56 UTC
Created attachment 1484845 [details]
File: exploitable

Comment 8 Don Lindsay 2018-09-19 16:23:57 UTC
Created attachment 1484846 [details]
File: limits

Comment 9 Don Lindsay 2018-09-19 16:23:58 UTC
Created attachment 1484847 [details]
File: maps

Comment 10 Don Lindsay 2018-09-19 16:24:00 UTC
Created attachment 1484848 [details]
File: mountinfo

Comment 11 Don Lindsay 2018-09-19 16:24:01 UTC
Created attachment 1484849 [details]
File: open_fds

Comment 12 Don Lindsay 2018-09-19 16:24:01 UTC
Created attachment 1484850 [details]
File: proc_pid_status

Comment 13 Mukundan Ragavan 2018-09-20 01:43:17 UTC
were you able to set the display settings at all?

Comment 14 dzmat 2018-10-07 05:09:18 UTC
Similar problem has been detected:

boot xfce-livecd-x86-64 into VirtualBox VM, want to setup display resolution, run xfce4-display-settings. It crushes immediatly. 
VM setup have 4Gb ram, 128Mb videoram, 3D acceleration enabled, virtualization set to KVM. Other settings are set by default.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        xfce4-display-settings
crash_function: convert_xfce_output_info
executable:     /usr/bin/xfce4-display-settings
journald_cursor: s=7a92048efe76488f86642154a530214a;i=918;b=0525e02ea87f416e8b4519a7fa6470e2;m=f4271ec;t=5779c35528c6d;x=2778379268de8852
kernel:         4.16.5-300.fc28.x86_64
package:        xfce4-settings-4.12.3-1.fc28
reason:         xfce4-display-settings killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Ben Cotton 2019-05-02 20:43:59 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora Update System 2019-05-18 13:49:43 UTC
xfce4-settings-4.13.6-1.fc30 xfce4-appfinder-4.13.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 17 Fedora Update System 2019-05-19 00:51:10 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 18 Ben Cotton 2019-05-28 19:02:24 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 19 Fedora Update System 2019-06-18 00:54:51 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-06-18 03:45:44 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.